Magick++ 7.1.0

Public Member Functions | List of all members
Magick::DrawablePushGraphicContext Class Reference

`#include <Drawable.h>`

Inheritance diagram for Magick::DrawablePushGraphicContext:
[legend]
Collaboration diagram for Magick::DrawablePushGraphicContext:
[legend]

## Public Member Functions
| DrawablePushGraphicContext (void)
| ~DrawablePushGraphicContext (void)
void | operator() (MagickCore::DrawingWand *context_) const
DrawableBase * | copy () const
Public Member Functions inherited from Magick::DrawableBase
| DrawableBase (void)
virtual | ~DrawableBase (void)

## Detailed Description

Definition at line 1334 of file Drawable.h.

## Constructor & Destructor Documentation

## ◆ DrawablePushGraphicContext()

Magick::DrawablePushGraphicContext::DrawablePushGraphicContext | ( | void |  | ) |
| inline

Definition at line 1337 of file Drawable.h.

## ◆ ~DrawablePushGraphicContext()

Magick::DrawablePushGraphicContext::~DrawablePushGraphicContext | ( | void |  | ) |

Definition at line 1014 of file Drawable.cpp.

## Member Function Documentation

## ◆ copy()

Magick::DrawableBase * Magick::DrawablePushGraphicContext::copy | ( |  | ) | const
| virtual

Reimplemented from Magick::DrawableBase.

Definition at line 1022 of file Drawable.cpp.

## ◆ operator()()

void Magick::DrawablePushGraphicContext::operator() | ( | MagickCore::DrawingWand * | context_ | ) | const
| virtual

Reimplemented from Magick::DrawableBase.

Definition at line 1018 of file Drawable.cpp.

The documentation for this class was generated from the following files:

- Drawable.h
- Drawable.cpp